Subject: bug#78240: 30.1; xoauth2 authentication fails in gnus imap mail fetching

From: Robert Pluim <[email-masked]>
Date: Fri, 23 May 2025 18:57:53 +0200

>>>>> On Tue, 13 May 2025 18:33:39 +0200, Robert Pluim <[email-masked]> said:

    Robert> Hmm, I get splitting when I also set `nnimap-inbox' appropriately, but
    Robert> itʼs all server side splitting, and it uses `nnmail-split-methods'
    Robert> instead of the nnimap variable, so either Iʼve got a config issue or
    Robert> itʼs a a bug. Iʼll keep looking over the next week.

So I was completely wrong about how nnimap splitting is implemented:
the splitting logic runs in Gnus, but all it does is move messages
around on the IMAP server, so it canʼt be used in place of imap.el to
download messages.

Robert
--